class NoPolyWithPrivate
{
  public static void main( String[] args )
  {
    Unter unsicht = new Unter();
  
    System.out.println( unsicht.bar() );   // 2
  }
}

class Ober
{
//  public int furcht()
  private int furcht()
  {
    return 2;
  }

  int bar()
  {
    return furcht();
//    return ((Unter)(this)).furcht();
  }
}

class Unter extends Ober
{
  // Überschreibt nicht, daher kein @Override
  public int furcht()
  {
    return 1;
  }
}
